View node rerun plan

Check available modes, affected nodes, and verification results for reruns from the specified node. Create a rerun only if the plan passes verification.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/nodes/{node_key}/rerun-plan

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query the job node and confirm the node key to be used as the starting point for re-running.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/nodes/$NODE_KEY/rerun-plan" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Query parameters

FieldTypeDescription
workflow_idstringWorkflow ID.
execution_idstringSource job ID.
node_keystringThe node key to start the rerun from.
source_node_execution_idstringUsed when selecting from multiple node execution candidates.

Successful response

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "plan": {
      "workflow_id": "wf-001",
      "source_execution_id": "exec-001",
      "node_key": "root.load",
      "source_node_execution_id": "node-exec-001",
      "rerun_contract_hash": "rgh-001",
      "available_modes": ["continue_from_node"],
      "validation": {
        "ok": true
      },
      "candidates": []
    }
  }
}
FieldTypeDescription
codestring`OK` when successful.
msgstring`OK` when successful.
data.plan.workflow_idstringWorkflow ID.
data.plan.source_execution_idstringSource job ID.
data.plan.node_keystringThe node key of the rerun starting point.
data.plan.source_node_execution_idstringSelected source node execution ID.
data.plan.rerun_contract_hashstringPlan contract hash; can be used when created to prevent the use of expired plans.
data.plan.available_modesstring[]Can be used to create rerun patterns.
data.plan.affected_downstream_nodes[]arrayAffected downstream nodes; only returned if there is a value.
data.plan.validation.okbooleanWhether the plan passes the verification.
data.plan.validation.codestringError code when verification fails; only returned if there is a value.
data.plan.validation.messagestringError message when verification fails; only returned if there is a value.
data.plan.validation.reasonsstring[]Reasons when verification fails; only returned if there is a value.
data.plan.candidates[]arraySource node execution candidates; only returned if there are multiple candidates.

Error response

JSON
{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

Save rerun_contract_hash, and then rerun from the specified node.

Last updated on